Login Task

Log in to a website using either credential stored in Skyvern, Bitwarden, 1Password, or Azure Vault

Headers

x-api-keystring or nullOptional
Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Request

This endpoint expects an object.
credential_typeenumRequired
Where to get the credential from
Allowed values:
urlstring or nullOptional
Website URL
webhook_urlstring or nullOptional
Webhook URL to send status updates
proxy_locationenum or nullOptional
Proxy location to use
totp_identifierstring or nullOptional

Identifier for TOTP (Time-based One-Time Password) if required

totp_urlstring or nullOptional

TOTP URL to fetch one-time passwords

browser_session_idstring or nullOptional

ID of the browser session to use, which is prefixed by pbs_ e.g. pbs_123456

browser_profile_idstring or nullOptional
ID of a browser profile to reuse for this run
browser_addressstring or nullOptional
The CDP address for the task.
extra_http_headersmap from strings to strings or nullOptional
Additional HTTP headers to include in requests
max_screenshot_scrolling_timesinteger or nullOptional
Maximum number of times to scroll for screenshots
promptstring or nullOptional

Login instructions. Skyvern has default prompt/instruction for login if this field is not provided.

credential_idstring or nullOptional
ID of the Skyvern credential to use for login.
bitwarden_collection_idstring or nullOptional

Bitwarden collection ID. You can find it in the Bitwarden collection URL. e.g. https://vault.bitwarden.com/vaults/collection_id/items

bitwarden_item_idstring or nullOptional
Bitwarden item ID
onepassword_vault_idstring or nullOptional
1Password vault ID
onepassword_item_idstring or nullOptional
1Password item ID
azure_vault_namestring or nullOptional
Azure Vault Name
azure_vault_username_keystring or nullOptional
Azure Vault username key
azure_vault_password_keystring or nullOptional
Azure Vault password key
azure_vault_totp_secret_keystring or nullOptional
Azure Vault TOTP secret key

Response

Successful Response
run_idstring

Unique identifier for this run. Run ID starts with tsk_ for task runs and wr_ for workflow runs.

statusenum
Current status of the run
created_atstringformat: "date-time"
Timestamp when this run was created
modified_atstringformat: "date-time"
Timestamp when this run was last modified
run_type"workflow_run"

Type of run - always workflow_run for workflow runs

outputmap from strings to any or list of any or string or null

Output data from the run, if any. Format/schema depends on the data extracted by the run.

downloaded_fileslist of objects or null
List of files downloaded during the run
recording_urlstring or null
URL to the recording of the run
screenshot_urlslist of strings or null

List of last n screenshot URLs in reverse chronological order - the first one the list is the latest screenshot.

failure_reasonstring or null
Reason for failure if the run failed or terminated
queued_atstring or nullformat: "date-time"
Timestamp when this run was queued
started_atstring or nullformat: "date-time"
Timestamp when this run started execution
finished_atstring or nullformat: "date-time"
Timestamp when this run finished
app_urlstring or null
URL to the application UI where the run can be viewed
browser_session_idstring or null
ID of the Skyvern persistent browser session used for this run
browser_profile_idstring or null
ID of the browser profile used for this run
max_screenshot_scrollsinteger or null
The maximum number of scrolls for the post action screenshot. When it's None or 0, it takes the current viewpoint screenshot
script_runobject or null
The script run result
errorslist of maps from strings to any or null
The errors for the run
step_countinteger or null
Total number of steps executed in this run
run_withstring or null
Whether the workflow run was executed with agent or code
ai_fallbackboolean or null
Whether to fallback to AI if code run fails.
run_requestobject or null
The original request parameters used to start this workflow run

Errors